Shops
1 min
GET
https://tnapi.ticketpay.de/exports/shops
Query Parameters
- fromstringExampleDescription
- tostringExampleDescription
- filter_bystringExampleDescription
- time_periodstringDescription
- time_rangeintegerDescription
- idintegerDescription
Header Parameters
- AuthorizationstringrequiredDescription
Responses
200
- get_shops
- totalintegerExample
- pageintegerExample
- sizeintegerExample
- dataobject[]
- idintegerExample
- namestringExample
- titlehashExample
{ "de": "Tagesshop", "en": "Day shop" } - streetstringExample
- zipstringExample
- citystringExample
- countrystringExample
- mailstringExample
- phonestringExample
- faxstring
- organizer_urlstringExample
- created_isostringExample
- updated_isostringExample
401
- not_authorized
- messagestringExample
curl
curl --request GET \
--url https://tnapi.ticketpay.de/exports/shops \
--header 'accept: application/json' \
--header 'authorization: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorization", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://tnapi.ticketpay.de/exports/shops", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://tnapi.ticketpay.de/exports/shops")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorization"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://tnapi.ticketpay.de/exports/shops"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorization': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Response for get shops.
{
"total": 2,
"page": 1,
"size": 2,
"data": [
{
"id": 387,
"name": "My Ticketshop",
"title": "{\"de\":\"Tagesshop\",\"en\":\"Day shop\"}",
"street": "Herbert-Rust-Weg 27",
"zip": "59071",
"city": "Hamm",
"country": "DE",
"mail": "[email protected]",
"phone": "+49 2381 33 898 46",
"fax": "",
"organizer_url": "https://shop.ticketpay.de/organizer/X1234X12",
"created_iso": "2025-08-01T10:00:10+02:00",
"updated_iso": "2022-10-08T10:23:11+02:00"
}
]
}401
// Response for a failed authentification.
{
"message": "Unauthorized"
}